Index: code/branches/core7/src/orxonox/CameraManager.cc
===================================================================
--- code/branches/core7/src/orxonox/CameraManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/CameraManager.cc	(revision 10407)
@@ -35,8 +35,8 @@
 #include <OgreCompositorManager.h>
 
-#include "util/ScopedSingletonManager.h"
 #include "core/GameMode.h"
 #include "core/GraphicsManager.h"
 #include "core/object/ObjectList.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "tools/Shader.h"
 #include "graphics/Camera.h"
Index: code/branches/core7/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/core7/src/orxonox/LevelManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/LevelManager.cc	(revision 10407)
@@ -36,5 +36,5 @@
 #include <map>
 
-#include "util/ScopedSingletonManager.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "core/commandline/CommandLineIncludes.h"
 #include "core/config/ConfigValueIncludes.h"
Index: code/branches/core7/src/orxonox/MoodManager.cc
===================================================================
--- code/branches/core7/src/orxonox/MoodManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/MoodManager.cc	(revision 10407)
@@ -29,5 +29,5 @@
 #include "MoodManager.h"
 
-#include "util/ScopedSingletonManager.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "core/config/ConfigValueIncludes.h"
 #include "core/CoreIncludes.h"
Index: code/branches/core7/src/orxonox/PawnManager.cc
===================================================================
--- code/branches/core7/src/orxonox/PawnManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/PawnManager.cc	(revision 10407)
@@ -29,6 +29,6 @@
 #include "PawnManager.h"
 
-#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "worldentities/pawns/Pawn.h"
 
Index: code/branches/core7/src/orxonox/PlayerManager.cc
===================================================================
--- code/branches/core7/src/orxonox/PlayerManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/PlayerManager.cc	(revision 10407)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "util/ScopedSingletonManager.h"
+#include "core/singleton/ScopedSingletonManager.h"
 
 #include "Level.h"
Index: code/branches/core7/src/orxonox/ShipPartManager.cc
===================================================================
--- code/branches/core7/src/orxonox/ShipPartManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/ShipPartManager.cc	(revision 10407)
@@ -29,6 +29,6 @@
 #include "ShipPartManager.h"
 
-#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "items/ShipPart.h"
 
Index: code/branches/core7/src/orxonox/chat/ChatHistory.cc
===================================================================
--- code/branches/core7/src/orxonox/chat/ChatHistory.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/chat/ChatHistory.cc	(revision 10407)
@@ -28,5 +28,5 @@
 
 #include "ChatHistory.h"
-#include "util/ScopedSingletonManager.h"
+#include "core/singleton/ScopedSingletonManager.h"
 
 #ifndef CHATTEST
Index: code/branches/core7/src/orxonox/chat/ChatInputHandler.cc
===================================================================
--- code/branches/core7/src/orxonox/chat/ChatInputHandler.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/chat/ChatInputHandler.cc	(revision 10407)
@@ -47,5 +47,5 @@
 #endif
 
-#include "util/ScopedSingletonManager.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
Index: code/branches/core7/src/orxonox/chat/ChatManager.cc
===================================================================
--- code/branches/core7/src/orxonox/chat/ChatManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/chat/ChatManager.cc	(revision 10407)
@@ -30,6 +30,6 @@
 #include "ChatListener.h"
 
-#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "core/command/ConsoleCommandIncludes.h"
 #include "network/Host.h"
Index: code/branches/core7/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/core7/src/orxonox/overlays/InGameConsole.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/overlays/InGameConsole.cc	(revision 10407)
@@ -45,5 +45,4 @@
 #include "util/Math.h"
 #include "util/DisplayStringConversions.h"
-#include "util/ScopedSingletonManager.h"
 #include "util/output/MemoryWriter.h"
 #include "util/output/OutputManager.h"
@@ -51,4 +50,5 @@
 #include "core/config/ConfigValueIncludes.h"
 #include "core/command/ConsoleCommandIncludes.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "core/GUIManager.h"
 #include "core/input/InputManager.h"
Index: code/branches/core7/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/core7/src/orxonox/sound/SoundManager.cc	(revision 10393)
+++ code/branches/core7/src/orxonox/sound/SoundManager.cc	(revision 10407)
@@ -38,5 +38,5 @@
 #include "util/Math.h"
 #include "util/Clock.h"
-#include "util/ScopedSingletonManager.h"
+#include "core/singleton/ScopedSingletonManager.h"
 #include "core/config/ConfigValueIncludes.h"
 #include "core/CoreIncludes.h"