Index: /trunk/src/world_entities/npcs/generic_npc.cc
===================================================================
--- /trunk/src/world_entities/npcs/generic_npc.cc	(revision 10414)
+++ /trunk/src/world_entities/npcs/generic_npc.cc	(revision 10415)
@@ -89,5 +89,5 @@
   this->toList(OM_GROUP_00);
 
-//   this->soundBuffer = OrxSound::ResourceSoundBuffer("sound/rain.wav");
+//   this->soundBuffer = OrxSound::ResourceSoundBuffer("sounds/rain.wav");
 
   time = 30.0f;
Index: /trunk/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/param_power_up.cc	(revision 10414)
+++ /trunk/src/world_entities/power_ups/param_power_up.cc	(revision 10415)
@@ -41,5 +41,5 @@
 {
   this->init();
-  this->loadPickupSound("sound/powerups/power_up_6.wav");
+  this->loadPickupSound("sounds/powerups/power_up_6.wav");
   if( root != NULL)
     this->loadParams(root);
Index: /trunk/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 10414)
+++ /trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 10415)
@@ -47,5 +47,5 @@
 {
   this->registerObject(this, WeaponPowerUp::_objectList);
-  this->loadPickupSound("sound/powerups/whats this2.wav");
+  this->loadPickupSound("sounds/powerups/whats this2.wav");
 
   this->weaponXML = NULL;
Index: /trunk/src/world_entities/projectiles/bomb.cc
===================================================================
--- /trunk/src/world_entities/projectiles/bomb.cc	(revision 10414)
+++ /trunk/src/world_entities/projectiles/bomb.cc	(revision 10415)
@@ -76,5 +76,5 @@
   this->detonationMaterial->setDiffuse(1, 0, 0);
 
-  this->loadExplosionSound("sound/explosions/explosion_7_far.wav");
+  this->loadExplosionSound("sounds/explosions/explosion_7_far.wav");
   //   this->detonationMaterial->setTransparency(.1);
   /**
Index: /trunk/src/world_entities/projectiles/boomerang_projectile.cc
===================================================================
--- /trunk/src/world_entities/projectiles/boomerang_projectile.cc	(revision 10414)
+++ /trunk/src/world_entities/projectiles/boomerang_projectile.cc	(revision 10415)
@@ -38,5 +38,5 @@
 
   this->loadModel("models/projectiles/orx-rocket.obj", 2.0);
-  this->loadExplosionSound("sound/explosions/explosion_4.wav");
+  this->loadExplosionSound("sounds/explosions/explosion_4.wav");
 
 
Index: /trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- /trunk/src/world_entities/projectiles/guided_missile.cc	(revision 10414)
+++ /trunk/src/world_entities/projectiles/guided_missile.cc	(revision 10415)
@@ -37,5 +37,5 @@
 
   this->loadModel("models/projectiles/orx-rocket.obj", 2.0);
-  this->loadExplosionSound("sound/explosions/explosion_4.wav");
+  this->loadExplosionSound("sounds/explosions/explosion_4.wav");
 
 
Index: /trunk/src/world_entities/projectiles/swarm_projectile.cc
===================================================================
--- /trunk/src/world_entities/projectiles/swarm_projectile.cc	(revision 10414)
+++ /trunk/src/world_entities/projectiles/swarm_projectile.cc	(revision 10415)
@@ -42,5 +42,5 @@
 /*  this->loadModel("models/projectiles/orx-rocket.obj", 0.5);*/
   this->loadModel("models/projectiles/swarm_projectile.obj"); // no double rescale (see draw())
-  this->loadExplosionSound("sound/explosions/explosion_4.wav");
+  this->loadExplosionSound("sounds/explosions/explosion_4.wav");
 
 
Index: /trunk/src/world_entities/space_ships/helicopter.cc
===================================================================
--- /trunk/src/world_entities/space_ships/helicopter.cc	(revision 10414)
+++ /trunk/src/world_entities/space_ships/helicopter.cc	(revision 10415)
@@ -112,5 +112,5 @@
 
   //load sound
-  this->chopperBuffer = OrxSound::ResourceSoundBuffer("sound/engine/chopper.wav");
+  this->chopperBuffer = OrxSound::ResourceSoundBuffer("sounds/engine/chopper.wav");
 
 }
Index: /trunk/src/world_entities/space_ships/hover.cc
===================================================================
--- /trunk/src/world_entities/space_ships/hover.cc	(revision 10414)
+++ /trunk/src/world_entities/space_ships/hover.cc	(revision 10415)
@@ -79,5 +79,5 @@
   //if (this->hoverBuffer != NULL)
   //  ResourceManager::getInstance()->unload(this->hoverBuffer);
-  //this->hoverBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/engine/hover.wav", WAV);
+  //this->hoverBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sounds/engine/hover.wav", WAV);
 
 }
Index: /trunk/src/world_entities/weapons/acid_launcher.cc
===================================================================
--- /trunk/src/world_entities/weapons/acid_launcher.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/acid_launcher.cc	(revision 10415)
@@ -101,7 +101,7 @@
   this->getProjectileFactory()->prepare(10);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/vocals/missiles.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- /trunk/src/world_entities/weapons/aiming_turret.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/aiming_turret.cc	(revision 10415)
@@ -98,7 +98,7 @@
   this->target.setAngle(M_PI_2);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_3.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weapons/boomerang_gun.cc
===================================================================
--- /trunk/src/world_entities/weapons/boomerang_gun.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/boomerang_gun.cc	(revision 10415)
@@ -94,7 +94,7 @@
   //this->getProjectileFactory()->prepare(100);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_3.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/vocals/missiles.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weapons/cannon.cc
===================================================================
--- /trunk/src/world_entities/weapons/cannon.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/cannon.cc	(revision 10415)
@@ -85,6 +85,6 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/explo.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/cannon.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explo.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/cannon.wav");
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_HEAVY);
Index: /trunk/src/world_entities/weapons/heavy_blaster.cc
===================================================================
--- /trunk/src/world_entities/weapons/heavy_blaster.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/heavy_blaster.cc	(revision 10415)
@@ -41,5 +41,5 @@
   }
   delete [] this->emissionPoint;
-  
+
    delete [] this->shootAnim;
    delete [] this->objComp;
@@ -73,5 +73,5 @@
 
   this->loadModel("models/guns/fragcannon.obj", .4);
-  
+
 
   this->setStateDuration(WS_SHOOTING, 0.5);   // 2 Schuss pro Sekunde
@@ -84,7 +84,7 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
-  this->setActionSound(WA_RELOAD, "sound/spawn/alien_generator.wav");
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
+  this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
Index: /trunk/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- /trunk/src/world_entities/weapons/hyperblaster.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/hyperblaster.cc	(revision 10415)
@@ -72,7 +72,7 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_4.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/powerups/whats this2.wav");
-  this->setActionSound(WA_RELOAD, "sound/spawn/alien_generator.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_4.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/powerups/whats this2.wav");
+  this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_HEAVY);
Index: /trunk/src/world_entities/weapons/laser_cannon.cc
===================================================================
--- /trunk/src/world_entities/weapons/laser_cannon.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/laser_cannon.cc	(revision 10415)
@@ -68,6 +68,6 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
 
 
Index: /trunk/src/world_entities/weapons/light_blaster.cc
===================================================================
--- /trunk/src/world_entities/weapons/light_blaster.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/light_blaster.cc	(revision 10415)
@@ -67,5 +67,5 @@
 
   this->loadModel("models/guns/gattling.obj", 0.333);
-  
+
 
   this->setStateDuration(WS_SHOOTING, 0.05);  // 20 Schuss pro Sekunde
@@ -78,7 +78,7 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
-  this->setActionSound(WA_RELOAD, "sound/spawn/alien_generator.wav");
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
+  this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
Index: /trunk/src/world_entities/weapons/medium_blaster.cc
===================================================================
--- /trunk/src/world_entities/weapons/medium_blaster.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/medium_blaster.cc	(revision 10415)
@@ -63,7 +63,7 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
-  this->setActionSound(WA_RELOAD, "sound/spawn/alien_generator.wav");
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
+  this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
Index: /trunk/src/world_entities/weapons/spike_launcher.cc
===================================================================
--- /trunk/src/world_entities/weapons/spike_launcher.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/spike_launcher.cc	(revision 10415)
@@ -110,7 +110,7 @@
   this->getProjectileFactory()->prepare(this->spikes);  //we don't need more...
 
-//   this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");
-//   this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-//   this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+//   this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
+//   this->setActionSound(WA_ACTIVATE, "sounds/vocals/missiles.wav");
+//   this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weapons/spike_thrower.cc
===================================================================
--- /trunk/src/world_entities/weapons/spike_thrower.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/spike_thrower.cc	(revision 10415)
@@ -104,7 +104,7 @@
   this->getProjectileFactory()->prepare(50);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/vocals/missiles.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weapons/swarm_launcher.cc
===================================================================
--- /trunk/src/world_entities/weapons/swarm_launcher.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/swarm_launcher.cc	(revision 10415)
@@ -102,7 +102,7 @@
   this->getProjectileFactory()->prepare(50);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_1.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/vocals/missiles.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- /trunk/src/world_entities/weapons/targeting_turret.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/targeting_turret.cc	(revision 10415)
@@ -92,7 +92,7 @@
 
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_3.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/rockets.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/rockets.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 }
 
Index: /trunk/src/world_entities/weapons/test_gun.cc
===================================================================
--- /trunk/src/world_entities/weapons/test_gun.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/test_gun.cc	(revision 10415)
@@ -124,6 +124,6 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
 
 
Index: /trunk/src/world_entities/weapons/turret.cc
===================================================================
--- /trunk/src/world_entities/weapons/turret.cc	(revision 10414)
+++ /trunk/src/world_entities/weapons/turret.cc	(revision 10415)
@@ -93,7 +93,7 @@
   //this->getProjectileFactory()->prepare(100);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_3.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+  this->setActionSound(WA_SHOOT, "sounds/explosions/explosion_3.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/vocals/missiles.wav");
+  this->setActionSound(WA_RELOAD, "sounds/vocals/reload.wav");
 
 }
Index: /trunk/src/world_entities/weather_effects/lightning_effect.cc
===================================================================
--- /trunk/src/world_entities/weather_effects/lightning_effect.cc	(revision 10414)
+++ /trunk/src/world_entities/weather_effects/lightning_effect.cc	(revision 10415)
@@ -128,5 +128,5 @@
 
     //load sound
-    this->thunderBuffer = OrxSound::ResourceSoundBuffer("sound/atmosphere/thunder.wav");
+    this->thunderBuffer = OrxSound::ResourceSoundBuffer("sounds/atmosphere/thunder.wav");
 
 }
Index: /trunk/src/world_entities/weather_effects/rain_effect.cc
===================================================================
--- /trunk/src/world_entities/weather_effects/rain_effect.cc	(revision 10414)
+++ /trunk/src/world_entities/weather_effects/rain_effect.cc	(revision 10415)
@@ -64,9 +64,9 @@
 
     //load rain sound
-    this->rainBuffer = OrxSound::ResourceSoundBuffer("sound/atmosphere/rain.wav");
+    this->rainBuffer = OrxSound::ResourceSoundBuffer("sounds/atmosphere/rain.wav");
 
     //load wind sound
     if (this->rainWindForce != 0) {
-      this->windBuffer = OrxSound::ResourceSoundBuffer("sound/atmosphere/wind.wav");
+      this->windBuffer = OrxSound::ResourceSoundBuffer("sounds/atmosphere/wind.wav");
     }
 
Index: /trunk/src/world_entities/weather_effects/snow_effect.cc
===================================================================
--- /trunk/src/world_entities/weather_effects/snow_effect.cc	(revision 10414)
+++ /trunk/src/world_entities/weather_effects/snow_effect.cc	(revision 10415)
@@ -56,5 +56,5 @@
   if (this->snowWindForce >= 1)
   {
-    this->windBuffer = OrxSound::ResourceSoundBuffer("sound/atmosphere/wind.wav");
+    this->windBuffer = OrxSound::ResourceSoundBuffer("sounds/atmosphere/wind.wav");
   }
 